<ng-container *transloco="let t">
  <form
    #updatePasswordFormHTMLElement
    novalidate
    id="kc-form-registration"
    name="kc-form-registration"
    method="POST"
    onsubmit="submit()"
    (paste)="onPasteValidate()"
    [formGroup]="updatePasswordForm"
    [action]="updateAction">
    <mat-card
      appearance="outlined"
      class="default-card">
      <mat-card-header>
        <mat-card-title>
          <h1>{{t('password_update.titel')}}</h1>
        </mat-card-title>
      </mat-card-header>
      <span class="hint">{{t('password_update.hint')}}</span>
      <mat-card-content>
        <div class="row">
          <div class="col">
            <mat-form-field class="hidden">
              <input
                matInput
                readonly
                formControlName="email"
                name="email">
            </mat-form-field>
          </div>
        </div>
        <div class="row long-hint">
          <div class="col">
            <mat-form-field class="full-width-form">
              <input
                matInput
                [placeholder]="t('registration.password')"
                formControlName="password"
                name="password-new"
                type="password"
                autocomplete="new-password">
              <mat-hint>
                <app-secure-password-hint [errors]="passwordStrengthErrors"></app-secure-password-hint>
              </mat-hint>
              <mat-error>
                <app-secure-password-hint [errors]="passwordStrengthErrors"></app-secure-password-hint>
              </mat-error>
              <mat-error *ngIf="password.hasError('maxlength')">
                {{t('registration.max_form_length',{maxLength:MAX_PASSWORD_LENGTH})}}
              </mat-error>
              <mat-error *ngIf="passwordMatchesEmailError">
                {{t('password_validation.dont_match_email')}}
              </mat-error>
            </mat-form-field>
          </div>
        </div>
        <div class="row">
          <div class="col">
            <mat-form-field class="full-width-form">
              <input
                matInput
                [placeholder]="t('registration.repeat_password')"
                formControlName="passwordConfirm"
                name="password-confirm"
                type="password"
                autocomplete="new-password">
              <mat-error *ngIf="passwordConfirm.hasError('required')">
                {{t('registration.password')}} {{t('registration.confirm')}} {{t('login.required')}}
              </mat-error>
              <mat-error *ngIf="passwordMatchError">{{t('password_validation.dont_match')}}</mat-error>
              <mat-error *ngIf="passwordConfirm.hasError('maxlength')">
                {{t('registration.max_form_length',{maxLength:MAX_PASSWORD_LENGTH})}}
              </mat-error>
            </mat-form-field>
          </div>
        </div>
      </mat-card-content>
      <mat-card-actions
        align="end"
        class="actions default-card-actions-padding">
        <button
          mat-raised-button
          [disabled]="!this.updatePasswordForm.valid"
          color="primary"
          type="submit">
          {{t('password_update.submit')}}
        </button>
      </mat-card-actions>
    </mat-card>
  </form>
  <!-- <mat-card class="registration-card">
    <mat-card-content>
      <span>{{t('registration.login_hint')}}</span>
      <a
        color="accent"
        [href]="loginUrl">
        {{t('registration.login_here')}}
      </a>
    </mat-card-content>
  </mat-card> -->
</ng-container>
